Mail API reference

Mail API · Smtp-Config

get/v1/workspaces/{workspace_id}/smtp-configsAuth

List every SMTP config in the workspace (default + per-domain overrides)

Path parameters

workspace_id*string · uuid

Id of the workspace.

Response · 200

data*array

The SMTP configurations: the workspace one and any per-domain overrides.

Example

Request

GET https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/smtp-configs
Authorization: Bearer YOUR_TOKEN

Response

{
  "data": [
    {
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "domain_id": "00000000-0000-0000-0000-000000000000",
      "host": "string",
      "port": 0,
      "secure": false,
      "username": "string",
      "password": "string",
      "password_set": false,
      "from_name": "string",
      "from_email": "user@example.com",
      "status": {},
      "last_verified_at": "2026-01-01T00:00:00.000Z",
      "last_verify_error": "string",
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}